=== debian/watch ===
version=3
https://git.javispedro.com/cgit/topmenu-gtk.git/ \
    snapshot/release_(\d\.\d\.\d)\.tar\.gz
