## topmenu-gtk 0.2.1+git20151210.8c6108f

=== debian/changelog ===
topmenu-gtk (0.2.1+git20151210.8c6108f-1) unstable; urgency=medium
 
  * Initial release. (Closes: #814077).
    Built from upstream commit: 8c6108f10c9b91e71c0a55604aff06bac094c15b.
 
 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Feb 2016 10:47:28 +0100
