=== debian/control ===
Source: topmenu-gtk
Section: utils
Priority: extra
Maintainer: Debian MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Alin Andrei <webupd8@gmail.com>,
Build-Depends: cdbs,
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               quilt,
               autotools-dev,
               dh-autoreconf,
               libglib2.0-dev,
               libgtk2.0-dev,
               libx11-dev,
               libwnck-dev,
               libgtk-3-dev,
               libwnck-3-dev,
               libmate-panel-applet-dev,
               xfce4-panel-dev (>= 4.8),
               lxpanel (>= 0.8),
               libfm-dev (>= 1.2.3),
Standards-Version: 3.9.6
Homepage: https://git.javispedro.com/cgit/topmenu-gtk.git/about/
Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/topmenu-gtk.git
Vcs-Git: https://anonscm.debian.org/git/pkg-mate/topmenu-gtk.git

Package: topmenu-gtk3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Topmenu GTK+ (GTK3 module)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package provides the Topmenu GTK3 implementation.

Package: topmenu-gtk3-dbg
Section: debug
Architecture: any
Depends: topmenu-gtk3 (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu GTK+ (GTK3 module, debug symbols)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains debugging symbols for topmenu-gtk3 module. It is
 provided to help debugging problems.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: libtopmenu-client-gtk3-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Topmenu GTK3 (shared library¸ client part)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains the Topmenu GTK3 shared library (client part).

Package: libtopmenu-client-gtk3-dev
Section: libdevel
Architecture: any
Depends: libtopmenu-client-gtk3-0 (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu GTK3 (shared library, development files, client part)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package provides the development files of libtopmenu-client-gtk3.

Package: libtopmenu-client-gtk3-dbg
Section: debug
Architecture: any
Depends: libtopmenu-client-gtk3-0 (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu GTK3 (debug symbols, shared library, client part)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains debugging symbols for libtopmenu-client-gtk3. It is
 provided to help debugging problems.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: libtopmenu-server-gtk3-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Topmenu GTK3 (shared library, server part)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains the Topmenu GTK3 shared library (server part).

Package: libtopmenu-server-gtk3-dev
Section: libdevel
Architecture: any
Depends: libtopmenu-server-gtk3-0 (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu GTK3 (shared library, development files, server part)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package provides the development files of libtopmenu-server-gtk3.

Package: libtopmenu-server-gtk3-dbg
Section: debug
Architecture: any
Depends: libtopmenu-server-gtk3-0 (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu GTK3 (debug symbols, shared library, server part)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains debugging symbols for libtopmenu-server-gtk3. It is
 provided to help debugging problems.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: topmenu-gtk2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Topmenu GTK+ (GTK2 module)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package provides the Topmenu GTK2 implementation.

Package: topmenu-gtk2-dbg
Section: debug
Architecture: any
Depends: topmenu-gtk2 (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu GTK+ (GTK2 module, debug symbols)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains debugging symbols for topmenu-gtk2 module. It is
 provided to help debugging problems.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: libtopmenu-client-gtk2-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Topmenu GTK2 (shared library¸ client part)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains the Topmenu GTK2 shared library (client part).

Package: libtopmenu-client-gtk2-dev
Section: libdevel
Architecture: any
Depends: libtopmenu-client-gtk2-0 (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu GTK2 (shared library, development files, client part)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package provides the development files of libtopmenu-client-gtk2.

Package: libtopmenu-client-gtk2-dbg
Section: debug
Architecture: any
Depends: libtopmenu-client-gtk2-0 (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu GTK2 (debug symbols, shared library, client part)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains debugging symbols for libtopmenu-client-gtk2. It is
 provided to help debugging problems.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: libtopmenu-server-gtk2-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Topmenu GTK2 (shared library, server part)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains the Topmenu GTK2 shared library (server part).

Package: libtopmenu-server-gtk2-dev
Section: libdevel
Architecture: any
Depends: libtopmenu-server-gtk2-0 (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu GTK2 (shared library, development files, server part)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package provides the development files of libtopmenu-server-gtk2.

Package: libtopmenu-server-gtk2-dbg
Section: debug
Architecture: any
Depends: libtopmenu-server-gtk2-0 (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu GTK2 (debug symbols, shared library, server part)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains debugging symbols for libtopmenu-server-gtk2. It is
 provided to help debugging problems.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: topmenu-gtk-common
Architecture: all
Depends: ${misc:Depends},
Description: Topmenu GTK+ (common files)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package provides files common to all topmenu-gtk packages.

Package: mate-applet-topmenu
Architecture: any
Depends: mate-panel (>= 1.12),
         libtopmenu-client-gtk2-0 (= ${binary:Version}),
         topmenu-gtk-common (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: Topmenu applet for the MATE panel
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package provides a Topmenu applet for the MATE desktop
 environment's panel bar.

Package: mate-applet-topmenu-dbg
Section: debug
Architecture: any
Depends: mate-applet-topmenu (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu applet for the MATE panel (debug symbols)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains debugging symbols for mate-applet-topmenu. It is
 provided to help debugging problems.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: xfce4-topmenu-plugin
Architecture: any
Depends: xfce4-panel (>= 4.8), 
         libtopmenu-client-gtk2-0 (= ${binary:Version}),
         topmenu-gtk-common (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: Topmenu panel plugin for the Xfce4 desktop
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package provides a Topmenu plugin for the Xfce4 desktop
 environment.

Package: xfce4-topmenu-plugin-dbg
Section: debug
Architecture: any
Depends: xfce4-topmenu-plugin (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu panel plugin for the Xfce4 desktop (debug symbols)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains debugging symbols for xfce4-topmenu-plugin. It is
 provided to help debugging problems.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: lxpanel-plugin-topmenu
Architecture: any
Depends: lxpanel (>= 8), 
         libtopmenu-client-gtk2-0 (= ${binary:Version}),
         topmenu-gtk-common (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: Topmenu plugin for the LXDE
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package provides a Topmenu plugin for the LXDE desktop
 environment.

Package: lxpanel-plugin-topmenu-dbg
Section: debug
Architecture: any
Depends: lxpanel-plugin-topmenu (= ${binary:Version}),
         ${misc:Depends},
Description: Topmenu plugin for the LXDE (debug symbols)
 Topmenu provides a global menu bar (MacOS style). TopMenu uses
 XEmbed for exporting menu bars.
 .
 This package contains debugging symbols for lxpanel-plugin-topmenu. It is
 provided to help debugging problems.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.
