=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
 UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
-DTYPE =
+DTYPE = 
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 UURL = https://git.javispedro.com/topmenu-gtk.git
@@ -85,9 +85,6 @@
 	rm -f   $(DEB_DESTDIR_topmenu-gtk3)/usr/lib/*.la
 	rm -f   $(DEB_DESTDIR_topmenu-gtk3)/usr/lib/*/gtk-3.0/modules/*.la
 	rm -Rf  $(DEB_DESTDIR_topmenu-gtk3)/usr/share/icons/
-	mkdir -p $(DEB_DESTDIR_topmenu-gtk3)/usr/share/doc/topmenu-gtk3/
-	cp         README.md $(DEB_DESTDIR_topmenu-gtk3)/usr/share/doc/topmenu-gtk3/
-	gzip -9 -n $(DEB_DESTDIR_topmenu-gtk3)/usr/share/doc/topmenu-gtk3/README.md
 
 install/libtopmenu-client-gtk3-0::
 	make -C $(DEB_BUILDDIR_topmenu-gtk3) install DESTDIR=$(DEB_DESTDIR_libtopmenu-client-gtk3-0)
