## topmenu-gtk 0.3

=== debian/changelog ===
topmenu-gtk (0.3-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/watch:
    + Update to new version numbering.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Update D (mate-applet-topmenu) libtopmenu-client-gtk3-0.
  * debian/rules:
    + Update mate-applet-topmenu to build against GTK3. Get upstream release
      tarball only.
    + Correct typo in install/libtopmenu-client-gtk3-0.

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1004_dont-disable-mate-applet-on-gtk3-builds.patch. Allow
      --enable-mate-applet for GTK-3 builds.
  * dbgsym migration: Handle Breaks:/Replaces: properly between old
    -dbg and new -dbgsym packages.
  * debian/control:
    + Bump Standards: to 3.9.8. No changes needed.
  * debian/copyright:
    + Assume copyright attributions for .gitignore.

  [ Vangelis Mouhtsis ]
  * debian/{control,rules}:
    + Don't build dbg:packages anymore.
      See https://wiki.debian.org/AutomaticDebugPackages.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 24 Aug 2016 14:41:51 +0200

topmenu-gtk (0.2.1+git20151210.8c6108f-3) unstable; urgency=medium

  [ Raúl Benencia ]
  * debian/control:
    + Add to B-D lxpanel (>= 0.8). Fix FTBFS due package lxpanel bin:package
      split-up. (Closes: #816308)

  [ Vangelis Mouhtsis ]
    debian/control:
    + Update Standards-Version to 3.9.7. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 15 Mar 2016 11:48:21 +0100

topmenu-gtk (0.2.1+git20151210.8c6108f-2) unstable; urgency=medium

  * All over the package: whitespace-cleanup at EOL.
  * debian/control:
    + Fix versioned dependency on lxpanel (>= 0.8).
  * topmenu-gtk{2,3:
    + Install README.md as documentation file into topmenu-gtk{2,3}
      bin:packages.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Feb 2016 11:12:58 +0100
