=== debian/rules ===
#!/usr/bin/make -f

NULL  =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_INSTALL_ARGS += --fail-missing

DEB_SRCDIR_topmenu-gtk3 := $(CURDIR)/debian/build/topmenu-gtk3
DEB_BUILDDIR_topmenu-gtk3 := $(CURDIR)/debian/build/topmenu-gtk3
DEB_DESTDIR_topmenu-gtk3 := $(CURDIR)/debian/topmenu-gtk3
DEB_DESTDIR_libtopmenu-client-gtk3-0 := $(CURDIR)/debian/libtopmenu-client-gtk3-0
DEB_DESTDIR_libtopmenu-server-gtk3-0 := $(CURDIR)/debian/libtopmenu-server-gtk3-0
DEB_DESTDIR_libtopmenu-client-gtk3-dev := $(CURDIR)/debian/libtopmenu-client-gtk3-dev
DEB_DESTDIR_libtopmenu-server-gtk3-dev := $(CURDIR)/debian/libtopmenu-server-gtk3-dev
DEB_DESTDIR_mate-applet-topmenu := $(CURDIR)/debian/mate-applet-topmenu

DEB_DH_MAKESHLIBS_ARGS_topmenu-gtk2 += --no-act
DEB_DH_MAKESHLIBS_ARGS_topmenu-gtk3 += --no-act

DEB_DH_STRIP_ARGS_topmenu-gtk2 = --dbgsym-migration='topmenu-gtk2-dbg (<< 0.3-1~)'
DEB_DH_STRIP_ARGS_libtopmenu-client-gtk2-0 = --dbgsym-migration='libtopmenu-client-gtk2-dbg (<< 0.3-1~)'
DEB_DH_STRIP_ARGS_libtopmenu-server-gtk2-0 = --dbgsym-migration='libtopmenu-server-gtk2-dbg (<< 0.3-1~)'
DEB_DH_STRIP_ARGS_xfce4-topmenu-plugin = --dbgsym-migration='xfce4-topmenu-plugin-dbg (<< 0.3-1~)'
DEB_DH_STRIP_ARGS_lxpanel-plugin-topmenu = --dbgsym-migration='lxpanel-plugin-topmenu-dbgpluma-dbg (<< 0.3-1~)'

DEB_DH_STRIP_ARGS_topmenu-gtk3 = --dbgsym-migration='topmenu-gtk3-dbg (<< 0.3-1~)'
DEB_DH_STRIP_ARGS_libtopmenu-client-gtk3-0 = --dbgsym-migration='libtopmenu-client-gtk3-dbg (<< 0.3-1~)'
DEB_DH_STRIP_ARGS_libtopmenu-server-gtk3-0 = --dbgsym-migration='libtopmenu-server-gtk3-dbg (<< 0.3-1~)'
DEB_DH_STRIP_ARGS_mate-applet-topmenu = --dbgsym-migration='mate-applet-topmenu-dbg (<< 0.3-1~)'


DEB_DH_SHLIBDEPS_ARGS_lxpanel-plugin-topmenu += -l$(shell pkg-config --variable=pkglibdir lxpanel) --dpkg-shlibdeps-params=--ignore-missing-info

DEB_CONFIGURE_EXTRA_FLAGS += \
	    --prefix=/usr \
	    --includedir=/usr/include/topmenu-gtk2 \
	    --with-gtk=2 \
	    --with-wnck=wnck1 \
	    --disable-static \
	    --disable-mate-applet \
	    --enable-xfce-applet \
	    --enable-lxpanel-plugin \
	    $(NULL)

configure/topmenu-gtk3:: $(DEB_BUILDDIR_topmenu-gtk3)/config.status

$(DEB_BUILDDIR_topmenu-gtk3)/config.status:
	cp -a `find . -maxdepth 1 -mindepth 1 -not -name debian` $(DEB_SRCDIR_topmenu-gtk3)/$*
	cd $(DEB_BUILDDIR_topmenu-gtk3) && \
	    $(DEB_CONFIGURE_SCRIPT_ENV) $(DEB_CONFIGURE_SCRIPT) \
	        $(DEB_CONFIGURE_NORMAL_ARGS) \
	        $(cdbs_configure_flags) \
	        --prefix=/usr \
	        --includedir=/usr/include/topmenu-gtk3 \
	        --libexecdir=/usr/lib/mate-applets \
	        --with-gtk=3 \
	        --with-wnck=wnck3 \
	        --disable-static \
	        --enable-mate-applet \
	        $(DEB_CONFIGURE_USER_FLAGS)

cleanbuilddir/topmenu-gtk3::
	rm -Rf $(DEB_BUILDDIR_topmenu-gtk3)

build/topmenu-gtk3::
	make -C $(DEB_BUILDDIR_topmenu-gtk3)

install/topmenu-gtk3::
	make -C $(DEB_BUILDDIR_topmenu-gtk3) install DESTDIR=$(DEB_DESTDIR_topmenu-gtk3)
	rm -Rf  $(DEB_DESTDIR_topmenu-gtk3)/usr/include/
	rm -f   $(DEB_DESTDIR_topmenu-gtk3)/usr/lib/*.so*
	rm -f   $(DEB_DESTDIR_topmenu-gtk3)/usr/lib/*.la
	rm -f   $(DEB_DESTDIR_topmenu-gtk3)/usr/lib/*/gtk-3.0/modules/*.la
	rm -Rf  $(DEB_DESTDIR_topmenu-gtk3)/usr/lib/mate-applets/
	rm -Rf  $(DEB_DESTDIR_topmenu-gtk3)/usr/share/dbus-1/
	rm -Rf  $(DEB_DESTDIR_topmenu-gtk3)/usr/share/mate-panel/
	rm -Rf  $(DEB_DESTDIR_topmenu-gtk3)/usr/share/icons/
	mkdir -p $(DEB_DESTDIR_topmenu-gtk3)/usr/share/doc/topmenu-gtk3/
	cp         README.md $(DEB_DESTDIR_topmenu-gtk3)/usr/share/doc/topmenu-gtk3/
	gzip -9 -n $(DEB_DESTDIR_topmenu-gtk3)/usr/share/doc/topmenu-gtk3/README.md

install/libtopmenu-client-gtk3-0::
	make -C $(DEB_BUILDDIR_topmenu-gtk3) install DESTDIR=$(DEB_DESTDIR_libtopmenu-client-gtk3-0)
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-0)/usr/include/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-0)/usr/lib/*/gtk-3.0/
	rm -f   $(DEB_DESTDIR_libtopmenu-client-gtk3-0)/usr/lib/*server*
	rm -f   $(DEB_DESTDIR_libtopmenu-client-gtk3-0)/usr/lib/*.so
	rm -f   $(DEB_DESTDIR_libtopmenu-client-gtk3-0)/usr/lib/*.la
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-0)/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-0)/usr/lib/mate-applets/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-0)/usr/share/dbus-1/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-0)/usr/share/mate-panel/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-0)/usr/share/icons/

install/libtopmenu-server-gtk3-0::
	make -C $(DEB_BUILDDIR_topmenu-gtk3) install DESTDIR=$(DEB_DESTDIR_libtopmenu-server-gtk3-0)
	rm -Rf  $(DEB_DESTDIR_libtopmenu-server-gtk3-0)/usr/include/
	rm -f   $(DEB_DESTDIR_libtopmenu-server-gtk3-0)/usr/lib/*client*
	rm -f   $(DEB_DESTDIR_libtopmenu-server-gtk3-0)/usr/lib/*.so
	rm -f   $(DEB_DESTDIR_libtopmenu-server-gtk3-0)/usr/lib/*.la
	rm -Rf  $(DEB_DESTDIR_libtopmenu-server-gtk3-0)/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-server-gtk3-0)/usr/lib/mate-applets/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-server-gtk3-0)/usr/share/dbus-1/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-server-gtk3-0)/usr/share/mate-panel/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-server-gtk3-0)/usr/share/icons/

install/libtopmenu-client-gtk3-dev::
	make -C $(DEB_BUILDDIR_topmenu-gtk3) install DESTDIR=$(DEB_DESTDIR_libtopmenu-client-gtk3-dev)
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-dev)/usr/lib/*/gtk-3.0/
	rm -f   $(DEB_DESTDIR_libtopmenu-client-gtk3-dev)/usr/lib/*server*.so
	rm -f   $(DEB_DESTDIR_libtopmenu-client-gtk3-dev)/usr/lib/*.so.*
	rm -f   $(DEB_DESTDIR_libtopmenu-client-gtk3-dev)/usr/lib/*.la
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-dev)/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-dev)/usr/share/icons/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-dev)/usr/lib/mate-applets/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-dev)/usr/share/dbus-1/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-dev)/usr/share/mate-panel/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-dev)/usr/include/topmenu-gtk3/topmenu-server.h
	rm -Rf  $(DEB_DESTDIR_libtopmenu-client-gtk3-dev)/usr/include/topmenu-gtk3/topmenu-widget.h

install/libtopmenu-server-gtk3-dev::
	make -C $(DEB_BUILDDIR_topmenu-gtk3) install DESTDIR=$(DEB_DESTDIR_libtopmenu-server-gtk3-dev)
	rm -Rf  $(DEB_DESTDIR_libtopmenu-server-gtk3-dev)/usr/lib/*/gtk-3.0/
	rm -f   $(DEB_DESTDIR_libtopmenu-server-gtk3-dev)/usr/lib/*client*.so
	rm -f   $(DEB_DESTDIR_libtopmenu-server-gtk3-dev)/usr/lib/*.so.*
	rm -f   $(DEB_DESTDIR_libtopmenu-server-gtk3-dev)/usr/lib/*.la
	rm -Rf  $(DEB_DESTDIR_libtopmenu-server-gtk3-dev)/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-server-gtk3-dev)/usr/share/icons/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-server-gtk3-dev)/usr/lib/mate-applets/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-server-gtk3-dev)/usr/share/dbus-1/
	rm -Rf  $(DEB_DESTDIR_libtopmenu-server-gtk3-dev)/usr/share/mate-panel/
	rm -f   $(DEB_DESTDIR_libtopmenu-server-gtk3-dev)/usr/include/topmenu-gtk3/topmenu-client.h
	rm -f   $(DEB_DESTDIR_libtopmenu-server-gtk3-dev)/usr/include/topmenu-gtk3/topmenu-monitor.h
	rm -f   $(DEB_DESTDIR_libtopmenu-server-gtk3-dev)/usr/include/topmenu-gtk3/topmenu-appmenubar.h

install/mate-applet-topmenu::
	make -C $(DEB_BUILDDIR_topmenu-gtk3) install DESTDIR=$(DEB_DESTDIR_mate-applet-topmenu)
	rm -Rf  $(DEB_DESTDIR_mate-applet-topmenu)/usr/include/
	rm -Rf  $(DEB_DESTDIR_mate-applet-topmenu)/usr/lib/*/gtk-3.0/
	rm -f   $(DEB_DESTDIR_mate-applet-topmenu)/usr/lib/*client*
	rm -f   $(DEB_DESTDIR_mate-applet-topmenu)/usr/lib/*server*
	rm -f   $(DEB_DESTDIR_mate-applet-topmenu)/usr/lib/*.so
